xcb_input_get_device_focus(3)

NAME
xcb_input_get_device_focus -

SYNOPSIS
#include <xcb/xinput.h>

  Request function

xcb_input_get_device_focus_cookie_t xcb_input_get_device_focus(xcb_connection_t *conn, uint8_t device_id);

  Reply datastructure

typedef struct xcb_input_get_device_focus_reply_t {
    uint8_t         response_type;
    uint8_t         pad0;
    uint16_t        sequence;
    uint32_t        length;
    xcb_window_t    focus;
    xcb_timestamp_t time;
    uint8_t         revert_to;
    uint8_t         pad1[15];
} xcb_input_get_device_focus_reply_t;

  Reply function

xcb_input_get_device_focus_reply_t *xcb_input_get_device_focus_reply(xcb_connection_t *conn, xcb_input_get_device_focus_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

device_id
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_INPUT_GET_DEVICE_FOCUS. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

focus
    TODO: NOT YET DOCUMENTED.

time
    TODO: NOT YET DOCUMENTED.

revert_to
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_input_get_device_focus_cookie_t. Errors have to be handled when calling the reply function xcb_input_get_device_focus_reply.

If you want to handle errors in the event loop instead, use xcb_input_get_device_focus_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xinput.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.